menu
#4550447 Class paroxity\tesseract\event\proxy\ProxyMessageReceiveEvent does not exist

Submitted by PocketMine-MP 4.0.0+dev

General information

Version: 4.0.0+dev
Git commit: 9d0ac297
Plugin involvement: Indirect
Report date: 2020-09-26 20:00:34 +0000 UTC

System Information

PHP version: 7.3.21
Operating system: linux
System banner: Linux dc9ff4a1-8062-437b-9442-60c54347306f 4.15.0-22-generic #24-Ubuntu SMP Wed May 16 12:15:17 UTC 2018 x86_64

Error information

Warning: the EmperialsPvP plugin was indirectly involved in this crash. This may be a false positive. Please contact the plugin author before opening a bug ticket.
Message: Class paroxity\tesseract\event\proxy\ProxyMessageReceiveEvent does not exist
File: src/plugin/PluginManager
Line: #439
Error level: ReflectionException
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449

$parameters = $method->getParameters();
if(count($parameters) !== 1){
continue;
}

$handlerClosure = $method->getClosure($listener);

try{
$eventClass = $parameters[0]->getClass();
}catch(\ReflectionException $e){ //class doesn't exist
if(isset($tags["softDepend"]) && !isset($this->plugins[$tags["softDepend"]])){
$this->server->getLogger()->debug("Not registering @softDepend listener " . Utils::getNiceClosureName($handlerClosure) . "() because plugin \"" . $tags["softDepend"] . "\" not found");
continue;
}

throw $e;
}
if($eventClass === null or !$eventClass->isSubclassOf(Event::class)){
continue;
#0 src/plugin/PluginManager(439): ReflectionParameter->getClass()
#1 plugins/EmperialsPvP_v3.1.0.phar/src/emperialspe/skyblock/EmperialsPvP(95): pocketmine\plugin\PluginManager->registerEvents(object emperialspe\skyblock\EventListener, object emperialspe\skyblock\EmperialsPvP)
#2 src/plugin/PluginBase(144): emperialspe\skyblock\EmperialsPvP->onEnable()
#3 src/plugin/PluginManager(373): pocketmine\plugin\PluginBase->onEnableStateChange(boolean 1)
#4 src/Server(1267): pocketmine\plugin\PluginManager->enablePlugin(object emperialspe\skyblock\EmperialsPvP)
#5 src/Server(1031): pocketmine\Server->enablePlugins(object pocketmine\plugin\PluginLoadOrder)
#6 src/PocketMine(248): pocketmine\Server->__construct(object BaseClassLoader, object pocketmine\utils\MainLogger, string[16] /home/container/, string[24] /home/container/plugins/)
#7 src/PocketMine(273): pocketmine\server()
#8 (11): require(string[60] phar:///home/container/PocketMine-MP.phar/src/PocketMine.php)

Loaded Plugins

  • Show

Server Settings

  • Show

Installed Composer Dependencies